"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
class DecisionTree {
    constructor(tree) {
        this.tree = tree;
    }
    classify(features) {
        return this.recursiveClassify(features, this.tree);
    }
    recursiveClassify(features, node) {
        if (node.mes)
            console.log(node.mes);
        if ("col" in node) { // it's a split
            if (features[node.col] < node.val) {
                return this.recursiveClassify(features, node.left);
            }
            return this.recursiveClassify(features, node.right);
        }
        return _.sample(node.classes);
    }
}
exports.DecisionTree = DecisionTree;
