"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dymo_core_1 = require("dymo-core");
class TransitionObserver {
    constructor(store, uri, func) {
        this.uri = uri;
        this.func = func;
        store.addValueObserver(uri, dymo_core_1.uris.VALUE, this);
    }
    observedValueChanged(uri) {
        if (uri == this.uri) {
            this.func();
        }
    }
}
exports.TransitionObserver = TransitionObserver;
