"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DecisionType;
(function (DecisionType) {
    DecisionType[DecisionType["Default"] = 0] = "Default";
    DecisionType[DecisionType["Random"] = 1] = "Random";
    DecisionType[DecisionType["DecisionTree"] = 2] = "DecisionTree";
    DecisionType[DecisionType["FiftyFifty"] = 3] = "FiftyFifty";
})(DecisionType = exports.DecisionType || (exports.DecisionType = {}));
var TransitionType;
(function (TransitionType) {
    TransitionType["FadeIn"] = "startMixWithFadeIn";
    TransitionType["Slam"] = "slam";
    TransitionType["BeatRepeat"] = "beatRepeat";
    TransitionType["Crossfade"] = "crossfade";
    TransitionType["Beatmatch"] = "beatmatchCrossfade";
    TransitionType["BeatmatchMultiple"] = "beatmatchCrossfade";
    TransitionType["EchoFreeze"] = "echoFreeze";
    TransitionType["PowerDown"] = "powerDown";
    TransitionType["Effects"] = "effects";
})(TransitionType = exports.TransitionType || (exports.TransitionType = {}));
